# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "alien-core"
version = "1.10.4"
authors = ["Alien Software, Inc. <hi@alien.dev>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Deploy software into your customers' cloud accounts and keep it fully managed"
readme = "README.md"
license-file = "LICENSE.md"

[features]
default = []
jsonschema = ["dep:schemars"]
local = ["tokio/fs"]
openapi = ["dep:utoipa"]
test-utils = []

[lib]
name = "alien_core"
path = "src/lib.rs"

[[bin]]
name = "schema_exporter"
path = "src/bin/schema_exporter.rs"
required-features = [
    "clap",
    "openapi",
]

[dependencies.alien-error]
version = "1.10.4"
features = [
    "anyhow",
    "openapi",
]

[dependencies.alien-macros]
version = "1.10.4"

[dependencies.async-trait]
version = "0.1.88"

[dependencies.base64]
version = "0.22"

[dependencies.bon]
version = "3.6.3"

[dependencies.bytes]
version = "1.10.1"

[dependencies.chrono]
version = "0.4.40"
features = ["serde"]

[dependencies.clap]
version = "4.5.35"
features = ["derive"]
optional = true

[dependencies.indexmap]
version = "2.2.6"
features = ["serde"]

[dependencies.nanoid]
version = "0.4.0"

[dependencies.regex]
version = "1"

[dependencies.reqwest]
version = "0.12.2"
default-features = false

[dependencies.schemars]
version = "0.8"
features = [
    "indexmap2",
    "indexmap",
    "chrono",
]
optional = true

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.140"

[dependencies.thiserror]
version = "2.0.12"

[dependencies.tokio]
version = "1.48"
features = [
    "sync",
    "macros",
    "io-util",
    "rt",
    "time",
]

[dependencies.tracing]
version = "0.1.41"

[dependencies.url]
version = "2.5.4"
features = ["serde"]

[dependencies.utoipa]
version = "5.4"
features = [
    "indexmap",
    "chrono",
    "indexmap",
    "chrono",
]
optional = true

[dependencies.uuid]
version = "1"
features = [
    "v4",
    "serde",
]

[dev-dependencies.axum]
version = "0.8"
features = [
    "tokio",
    "http2",
]
default-features = false

[dev-dependencies.futures]
version = "0.3.31"

[dev-dependencies.insta]
version = "1"
features = [
    "yaml",
    "json",
]

[dev-dependencies.rstest]
version = "0.25.0"
